package cn.com.poc.knowledge.service;

import cn.com.poc.knowledge.entity.BizMemberKnowledgeRelationEntity;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizMemberKnowledgeRelationService extends BaseService {

    BizMemberKnowledgeRelationEntity get(Integer id) throws Exception;
    
    List<BizMemberKnowledgeRelationEntity> findByExample(BizMemberKnowledgeRelationEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizMemberKnowledgeRelationEntity save(BizMemberKnowledgeRelationEntity entity) throws Exception;

    Boolean deletedByKdId(Integer kdId);
    
}